## pyvlx 0.2.26

=== Makefile ===

all:
	@echo
	@echo "Available targets"
	@echo ""
	@echo "build           -- build python package"
	@echo ""
	@echo "pypi            -- upload package to pypi"
	@echo ""
	@echo "test            -- execute test suite"
	@echo ""
	@echo "pylint          -- run pylint tests"
	@echo ""
	@echo "pydocstyle      -- run pydocstyle tests"
	@echo ""
	@echo "coverage        -- create coverage report"
	@echo ""

test:
	PYTHONPATH="${PYTHONPATH}:/" python3 -m unittest discover -s test -p "*_test.py" -b

build:
	@python3 setup.py sdist
	@python3 setup.py egg_info

pypi:
	# python3 setup.py register -r pypi
	#@python3 setup.py sdist upload -r pypi
	@rm -f dist/*
	@python setup.py sdist
	@twine upload dist/*

pylint:
	@pylint --rcfile=.pylintrc pyvlx test/*.py *.py examples/*.py

pydocstyle:
	 @pydocstyle pyvlx test/*.py test/*.py *.py examples/*.py

coverage:
	py.test --cov-report html --cov pyvlx --verbose

.PHONY: test build

=== debian/changelog ===
pyvlx (0.2.26-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 31 Dec 2024 14:57:46 +0000

pyvlx (0.2.25-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 05 Dec 2024 20:38:41 +0000

pyvlx (0.2.23-1) unstable; urgency=medium

  * Initial release. (Closes: #1088913)

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 20:23:36 +0000

=== debian/control ===
Source: pyvlx
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-yaml <!nocheck>,
 python3-zeroconf <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Julius2342/pyvlx
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyvlx
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyvlx.git

Package: python3-pyvlx
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Wrapper for the Velux KLF 200 API for controlling windows and devices
 This library provides an interface to the Velux KLF 200 device, enabling
 control over io-homecontrol devices such as Velux windows and blinds. It
 allows users to execute predefined scenes configured in the KLF 200, offering
 functionality to open, close, or set positions of connected devices. Designed
 to operate with the Velux KLF 200 gateway, users can communicate with a
 variety of home automation actuators, including covers, lights, and scenes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyvlx
export PYBUILD_TEST_PYTEST=1
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyvlx.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-typing-extensions,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyvlx-$1\.tar\.gz/ \
  https://github.com/Julius2342/pyvlx/tags .*/v?(\d\S+)\.tar\.gz

## pyvlx 0.2.27

=== debian/changelog ===
pyvlx (0.2.27-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Jan 2026 11:41:56 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: Julius2342
Project: pyvlx

## pyvlx 0.2.28

=== debian/changelog ===
pyvlx (0.2.28-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Mon, 26 Jan 2026 18:41:50 +0000

## pyvlx 0.2.29

=== Makefile ===

all:
	@echo
	@echo "Available targets"
	@echo ""
	@echo "build           -- build python package"
	@echo ""
	@echo "pypi            -- upload package to pypi"
	@echo ""
	@echo "test            -- execute test suite"
	@echo ""
	@echo "pylint          -- run pylint tests"
	@echo ""
	@echo "pydocstyle      -- run pydocstyle tests"
	@echo ""
	@echo "coverage        -- create coverage report"
	@echo ""

test:
	pytest

build:
	@python3 -m build

pypi:
	@rm -f dist/*
	@python3 -m build
	@twine upload dist/*

pylint:
	@pylint pyvlx test/*.py examples/*.py

pydocstyle:
	 @pydocstyle pyvlx test/*.py test/*.py examples/*.py

coverage:
	pytest --cov-report html --cov pyvlx --verbose

.PHONY: test build

=== debian/changelog ===
pyvlx (0.2.29-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 12 Feb 2026 12:57:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,8 +13,7 @@
  python3-pytest <!nocheck>,
  python3-yaml <!nocheck>,
  python3-zeroconf <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/Julius2342/pyvlx
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyvlx
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyvlx.git

## pyvlx 0.2.30

=== debian/changelog ===
pyvlx (0.2.30-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Feb 2026 11:07:24 +0000
